Browse Source

confs

master
Robin Thoni 8 years ago
parent
commit
68a9369f6b

BIN
apt/.apt-requierements.txt.swp View File


+ 11
- 0
apt/apt-requierements.txt View File

@@ -0,0 +1,11 @@
1
+git
2
+vim
3
+wget
4
+curl
5
+chromium-browser
6
+python
7
+python3
8
+python-pip
9
+pyhton3-pip
10
+gnome-terminal
11
+

+ 0
- 0
gnome-terminal/gnome-terminal/%gconf.xml View File


+ 0
- 0
gnome-terminal/gnome-terminal/profiles/%gconf.xml View File


+ 22
- 0
gnome-terminal/gnome-terminal/profiles/Default/%gconf.xml View File

@@ -0,0 +1,22 @@
1
+<?xml version="1.0"?>
2
+<gconf>
3
+	<entry name="use_theme_colors" mtime="1452100131" type="bool" value="false"/>
4
+	<entry name="silent_bell" mtime="1452100131" type="bool" value="true"/>
5
+	<entry name="default_show_menubar" mtime="1452100131" type="bool" value="false"/>
6
+	<entry name="palette" mtime="1452100131" type="string">
7
+		<stringvalue>#2E2E34343636:#CCCC00000000:#4E4E9A9A0606:#C4C4A0A00000:#34346565A4A4:#757550507B7B:#060698209A9A:#D3D3D7D7CFCF:#555557575353:#EFEF29292929:#8A8AE2E23434:#FCFCE9E94F4F:#72729F9FCFCF:#ADAD7F7FA8A8:#3434E2E2E2E2:#EEEEEEEEECEC</stringvalue>
8
+	</entry>
9
+	<entry name="alternate_screen_scroll" mtime="1452100131" type="bool" value="true"/>
10
+	<entry name="background_color" mtime="1452100131" type="string">
11
+		<stringvalue>#2E2E34343636</stringvalue>
12
+	</entry>
13
+	<entry name="visible_name" mtime="1452100131" type="string">
14
+		<stringvalue>Default</stringvalue>
15
+	</entry>
16
+	<entry name="bold_color" mtime="1452100131" type="string">
17
+		<stringvalue>#000000000000</stringvalue>
18
+	</entry>
19
+	<entry name="foreground_color" mtime="1452100131" type="string">
20
+		<stringvalue>#FFFFFFFFFFFF</stringvalue>
21
+	</entry>
22
+</gconf>

+ 3
- 0
gnome-terminal/install View File

@@ -0,0 +1,3 @@
1
+#! /usr/bin/env bash
2
+rm -rf ~/.gconf/apps/gnome-terminal
3
+ln -sf "$PWD"/gnome-terminal ~/.gconf/apps/gnome-terminal

+ 4
- 0
i3/apt-requirements.txt View File

@@ -0,0 +1,4 @@
1
+libgeoip-dev
2
+python-alsaaudio
3
+fonts-font-awesome
4
+gnome-terminal

+ 35
- 0
i3/dmenu_alias View File

@@ -0,0 +1,35 @@
1
+#!/bin/bash
2
+cache=~/.cache/dmenu_run
3
+freq=~/.dmenu_history
4
+aliases=~/.bash_aliases
5
+source $aliases
6
+
7
+case "$1" in 
8
+    remove)
9
+        # To remove a file from history: 
10
+        # $ dmenu_recent_aliases remove <name> 
11
+        grep -v "$2" $freq > temp && mv temp $freq
12
+    ;;
13
+    *)
14
+    (compgen -a; compgen -c | grep -vxF "$(compgen -a)") | sort | tail -n +10 > $cache
15
+
16
+    sorted=$(sort $freq | uniq -c | sort -hr | colrm 1 8)
17
+    cmd=`(echo "$sorted"; cat $cache | grep -vxF "$sorted") | dmenu "$@"`
18
+    if ! [ "$cmd" == "" ] && ! [ "$(grep ${cmd/;/} $cache)" == "" ]; then
19
+        echo ${cmd/;/} >> $freq
20
+
21
+        cmdexec=$(alias | grep "${cmd/;/}=" | cut -f2 -d "'" | tr -d "'")
22
+        if [ -z "$cmdexec" ]; then
23
+            cmdexec=${cmd/;/}
24
+        fi
25
+
26
+        case $cmd in
27
+            *\;)    cmdexec="urxvt -e $cmdexec" ;;
28
+        esac
29
+        # Ugly workaround to run functions...
30
+        echo "$cmdexec" | compgen -F "$cmdexec" | bash
31
+        # ...and aliases
32
+        echo "$cmdexec" | bash
33
+    fi
34
+    ;;
35
+esac

+ 1
- 1
i3/i3/config View File

@@ -24,7 +24,7 @@ font -misc-fixed-medium-r-normal--13-120-75-75-C-70-iso10646-1
24 24
 floating_modifier $mod
25 25
 
26 26
 # start a terminal
27
-bindsym $mod+Return exec i3-sensible-terminal
27
+bindsym $mod+Return exec gnome-terminal
28 28
 
29 29
 # kill focused window
30 30
 bindsym $mod+q kill

+ 1
- 1
i3/i3/exec View File

@@ -1,4 +1,4 @@
1 1
 #! /usr/bin/env sh
2 2
 
3
-gnome-settings-daemon --debug >~/gsd-stdout 2>~/gsd-stderr &
3
+gnome-settings-daemon &
4 4
 #numlockx on

BIN
i3/i3/status/i3status/__pycache__/__init__.cpython-34.pyc View File


BIN
i3/i3/status/i3status/__pycache__/arch_updates.cpython-34.pyc View File


BIN
i3/i3/status/i3status/__pycache__/change_i3pystatus.cpython-34.pyc View File


BIN
i3/i3/status/i3status/__pycache__/my_ip.cpython-34.pyc View File


BIN
i3/i3/status/i3status/__pycache__/network_traffic.cpython-34.pyc View File


BIN
i3/i3/status/i3status/__pycache__/ping.cpython-34.pyc View File


BIN
i3/i3/status/i3status/__pycache__/upower.cpython-34.pyc View File


+ 1
- 1
i3/install View File

@@ -1,3 +1,3 @@
1 1
 #! /usr/bin/env bash
2
-
2
+rm -rf ~/.i3
3 3
 ln -sf "$PWD"/i3 ~/.i3

+ 5
- 0
i3/pip3-requirements.txt View File

@@ -0,0 +1,5 @@
1
+i3pystatus
2
+psutil
3
+geoip
4
+netifaces
5
+colour

Loading…
Cancel
Save